Summary:       Manager for sqlite - Sqlite Databases Made Easy
Name:          sqliteman
Version:       1.2.1
Release:       1%{?dist}
# src is GPLv2+, icons are LGPLv2+
License:       GPLv2+ and LGPLv2+
Group:         Applications/Databases
URL:           http://www.sqliteman.com/
Source :       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch:         sqliteman-1.0.1.desktop.patch
Requires:      qt4-sqlite
BuildRequires: cmake qt4-devel >= 4.2.0
BuildRequires: desktop-file-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
If you are looking for a tool for tuning SQL statements, manage
tables, views, or triggers, administrate the database space and index
statistics then Sqliteman is the perfect choice.

If you are looking for a graphical queries creation wizards, user
interface designers for your database, or an universal report tool try
the applications designed for tasks such this (Kexi, knoda).

%prep
%setup -q
%patch -p1

%build
%cmake -DWANT_INTERNAL_QSCINTILLA=1
%{__make} VERBOSE=1 %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install 
desktop-file-install   \
    --vendor=fedora    \
    --delete-original  \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

# fix location of desktop icon
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

# no test defined yet
#check
#ctest

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_bindir}/update-mime-database ] ; then
    %{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%postun
if [ -x %{_bindir}/update-mime-database ] ; then
    %{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Sun Mar 29 2009 Terje Rosten <terje.rosten@ntnu.no> - 1.2.1-1
- 1.2.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2.0-3
- build with internal qscintilla

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2.0-1
- 1.2.0
- add qscintilla-devel to build req

* Sat Feb  9 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.0.1-4
- rebuild

* Thu Jan  3 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.0.1-3
- fix license again
- improve comment about movement of desktop icon 

* Thu Jan  3 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.0.1-2
- fix license
- fix desktop patch

* Tue Jan  1 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.0.1-1
- initial build

